Bug 843753 - Restructure python files to allow all sorts of checks
Restructure python files to allow all sorts of checks
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Deutsch
:
Depends On:
Blocks: 843777
  Show dependency treegraph
 
Reported: 2012-07-27 05:19 EDT by Fabian Deutsch
Modified: 2013-11-28 06:55 EST (History)
6 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-28 06:55:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-07-27 05:19:22 EDT
Description of problem:
Currently the python files (ovirtfunctions.py, ...) are all in the scripts dir, this leads to problems when tools like pyflakes try to check whether imports work or not.
The files should be brought into a hierarchy that matches the hierarchy at install time. This way imports should work at build time and some basic - static analyzer - tests can be run on the code.
Comment 1 Fabian Deutsch 2012-07-27 08:30:22 EDT
This just affects the source paths, not the install time paths.
Comment 2 Fabian Deutsch 2013-02-05 09:36:28 EST
Many files have bene updated, but there are still some files residing in directories which do not correspond to their runtime paths, which makes testing harder (not impossible).

More specific bugs will be opened (and block this bug) for the remaining files to track their progress. This bug will remain open as a tracker.
Comment 3 Fabian Deutsch 2013-04-17 11:46:28 EDT
A bunch of patches to move the files around and create a fs layout which matches the runtime layout.

http://gerrit.ovirt.org/13998
http://gerrit.ovirt.org/13999
http://gerrit.ovirt.org/14000
http://gerrit.ovirt.org/14001
http://gerrit.ovirt.org/14002
http://gerrit.ovirt.org/14003
Comment 4 Fabian Deutsch 2013-04-17 12:11:56 EDT
rpmls diff:
$ diff -u 2.6.0 master | egrep "^[+-]"
--- 2.6.0	2013-04-17 16:51:05.568370935 +0200
+++ master	2013-04-17 16:51:18.525340103 +0200
+-rwxr-xr-x  /usr/bin/ovirt-node-installer
+drwxr-xr-x  /usr/lib/python2.7/site-packages/ovirt/node
+-rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/installer/storage_vol_page.py
+-rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/installer/storage_vol_page.pyc
+-rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/installer/storage_vol_page.pyo
+-rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/installer/upgrade_page.py
+-rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/installer/upgrade_page.pyc
+-rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/installer/upgrade_page.pyo
--rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/setup/engine_page.py
--rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/setup/engine_page.pyc
--rw-r--r--  /usr/lib/python2.7/site-packages/ovirt/node/setup/engine_page.pyo
--rw-r--r--  /usr/lib/python2.7/site-packages/ovirt_node_molch-0.0.1-py2.7.egg-info
+-rwxr-xr-x  /usr/libexec/ovirt-config-storage
-drwxr-xr-x  /usr/share/doc/ovirt-node-2.6.0
--rw-r--r--  /usr/share/doc/ovirt-node-2.6.0/COPYING
+drwxr-xr-x  /usr/share/doc/ovirt-node-2.6.999
+-rw-r--r--  /usr/share/doc/ovirt-node-2.6.999/COPYING


look all reasonable
Comment 5 Fabian Deutsch 2013-04-17 14:48:18 EDT
This patch set covers quite many aspects, therefor I'm setting this to POST and will open new bugs if needed

Note You need to log in before you can comment on or make changes to this bug.